Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001182Frama-CGraphical User Interfacepublic2012-05-25 23:292013-01-25 21:37
Reportermonate 
Assigned Tomonate 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001182: Project menu is empty when Ubuntu/Unity is enabled
DescriptionWhen unity is enabled and the main menubar of Frama-C is shown detached from its main window, the dynamic menu entries are not visible.
This can be fixed by setting the environment variable UBUNTU_MENUPROXY to 0.
For example :
UBUNTU_MENUPROXY=0 frama-c-gui
fixes the problem.
No solution is known to fix this on the Frama-C side.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003032)
monate (reporter)
2012-05-25 23:44

Maybe we could be inspired by:
https://code.launchpad.net/~mterry/dbusmenu/eclipse-rcp/+merge/59277 [^]
(0003033)
yakobowski (manager)
2012-05-26 11:26

Do you think this is related to the "reduced" project menu that occurred with some Linux with hardware graphic acceleration?

Also, would the bug lie somewhere in our Lablgtk code, or in Lablgtk? Not knowing what dbus-menu is useful for, I cannot make much sense out of the bug above.
(0003034)
monate (reporter)
2012-05-26 21:26

I don't think this is related, but I could be wrong.

IIUC Gtk/Gnome and all of the application developers do not agree on the culprit...
We probably need to "fix" our code even if one can argue it is not broken.
(0003087)
yakobowski (manager)
2012-06-10 12:50

I tried hiding then showing the radio menu item from Glib's idle loop. This had no effect. Notice that the fix from https://code.launchpad.net/~mterry/dbusmenu/eclipse-rcp/+merge/59277 [^] is for dbusmenu, not for the client code.
(0003088)
yakobowski (manager)
2012-06-10 13:12

Another possibility would be to get rid of this dynamic menus altogether. Instead, we can maintain its state synchronously through the create/delete/load kooks in project.ml. Julien, did you try this when this menu was initially created?
(0003096)
monate (reporter)
2012-06-10 22:32

Another track: http://debbugs.gnu.org/cgi-bin/bugreport.cgi?bug=4122 [^]
(0003098)
yakobowski (manager)
2012-06-10 23:07
edited on: 2012-06-10 23:08

0001182:0003096: one of the patches that fixed the problem for Emacs-23 is http://goo.gl/4UbE7 [^]

(0003100)
signoles (manager)
2012-06-11 09:27

Boris, I did not try your suggested solution. At that time, some hooks was missing. But it should be ok now. Thus an attempt could be made.
(0003673)
yakobowski (manager)
2013-01-25 21:37

Closing this. The bug is still not fixed on the Ubuntu side as of this day, so the workaround will have to suffice. (Unless someone steps in with a GTK solution, or an implementation of note 3096.)

- Issue History
Date Modified Username Field Change
2012-05-25 23:29 monate New Issue
2012-05-25 23:29 monate Status new => assigned
2012-05-25 23:29 monate Assigned To => monate
2012-05-25 23:44 monate Note Added: 0003032
2012-05-26 11:26 yakobowski Note Added: 0003033
2012-05-26 21:26 monate Note Added: 0003034
2012-05-27 17:00 signoles Status assigned => confirmed
2012-06-10 12:50 yakobowski Note Added: 0003087
2012-06-10 13:12 yakobowski Note Added: 0003088
2012-06-10 22:32 monate Note Added: 0003096
2012-06-10 23:07 yakobowski Note Added: 0003098
2012-06-10 23:08 yakobowski Note Edited: 0003098
2012-06-11 09:27 signoles Note Added: 0003100
2012-07-15 21:04 svn Checkin
2013-01-25 21:37 yakobowski Note Added: 0003673
2013-01-25 21:37 yakobowski Status confirmed => closed
2013-01-25 21:37 yakobowski Resolution open => fixed
2013-01-25 21:37 yakobowski Fixed in Version => Frama-C Oxygen-20120901


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker